## net.i2p.stat
Class FrequencyStat

    java.lang.Object
      net.i2p.stat.FrequencyStat

    public class FrequencyStat

extends java.lang.Object

coordinate an event frequency over various periods

Constructor Summary
`FrequencyStat(java.lang.String name, java.lang.String description, java.lang.String group, long[] periods)`

Method Summary
`void` `coalesceStats()` coalesce all the stats
`void` `eventOccurred()` update all of the frequencies for the various periods
`java.lang.String` `getDescription()`
`Frequency` `getFrequency(long period)`
`java.lang.String` `getGroupName()`
`java.lang.String` `getName()`
`long[]` `getPeriods()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FrequencyStat

    public FrequencyStat(java.lang.String name,
                         java.lang.String description,
                         java.lang.String group,
                         long[] periods)

Method Detail

### eventOccurred

    public void eventOccurred()

  update all of the frequencies for the various periods

### coalesceStats

    public void coalesceStats()

  coalesce all the stats

### getName

    public java.lang.String getName()

### getGroupName

    public java.lang.String getGroupName()

### getDescription

    public java.lang.String getDescription()

### getPeriods

    public long[] getPeriods()

### getFrequency

    public Frequency getFrequency(long period)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`